// pages/welfareMall/staff/noStaff.js
import WelfareMall from '../../../api/welfareMall'
import { parseTime } from '../../../utils/util'
import {getMobileCache, getPhoneNumber as getPhoneNumberSync} from '../../../utils/user'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    this.setData({
      isLogin: getMobileCache() != ''
    })
    if(!this.data.isLogin){
      wx.switchTab({
        url:"/pages/welfareMall/personal/personal",
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  handlePageSizes(e) {
    this.setData({
      bodyImageHeight: e.detail.bodyImageHeight
    })
  },
  //加入我们
  toRecurit:function(){
    wx.navigateToMiniProgram({
      appId: 'wxe15e2156252a1dd1',
      path: 'pages/index/index',
      success(res) {
        // 打开成功
      }

    })
  },
  //合伙人
  toPartnership:function(){
    wx.navigateToMiniProgram({
      appId: 'wx5a4f5dec0a4ac277',
      path: 'pages/index/index',
      success(res) {
        // 打开成功
      }

    })
  }
})